Bug 517197 - Review Request: ghc-GLUT - bindings to the C GLUT library
Review Request: ghc-GLUT - bindings to the C GLUT library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yaakov Nemoy
Fedora Extras Quality Assurance
:
Depends On: 517155
Blocks: haskell-platform
  Show dependency treegraph
 
Reported: 2009-08-12 18:00 EDT by Bryan O'Sullivan
Modified: 2010-10-05 09:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 01:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
loupgaroublond: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2009-08-12 18:00:44 EDT
Spec: http://www.serpentine.com/bos/files/ghc-GLUT.spec
SRPM: http://www.serpentine.com/bos/files/ghc-GLUT-2.1.1.2-1.fc11.src.rpm
Description:
This package provides the Haskell GLUT library for ghc.
This is a set of bindings to the C freeglut library.
Comment 1 Yaakov Nemoy 2009-08-20 06:38:02 EDT
Oddly enough, i can't get the md5sums to match. The file sizes of what is shipped in the RPM is different than what i get from Hackage.
Comment 2 Bryan O'Sullivan 2009-08-20 14:06:28 EDT
Updated SRPM now at the above URL.
Comment 3 Yaakov Nemoy 2009-08-28 10:24:56 EDT
MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
(devshell)[yankee@koan ghc-GLUT]$ rpmlint -iv *{spec,rpm}             
ghc-GLUT.src: I: checking                                             
ghc-GLUT-devel.i686: I: checking                                      
ghc-GLUT-devel.ppc: I: checking                                       
ghc-GLUT-devel.x86_64: I: checking                                    
ghc-GLUT-doc.i686: I: checking                                        
ghc-GLUT-doc.ppc: I: checking                                         
ghc-GLUT-doc.x86_64: I: checking                                      
ghc-GLUT-prof.i686: I: checking                                       
ghc-GLUT-prof.i686: E: devel-dependency ghc-GLUT-devel                
Your package has a dependency on a devel package but it's not a devel package
itself.                                                                      

ghc-GLUT-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.                                                         

ghc-GLUT-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.4/GLUT-2.1.1.2/libHSGLUT-2.1.1.2_p.a
A development file (usually source code) is located in a non-devel package. If                               
you want to include source code in your package, be sure to create a                                         
development package.                                                                                         

ghc-GLUT-prof.ppc: I: checking
ghc-GLUT-prof.ppc: E: devel-dependency ghc-GLUT-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-GLUT-prof.ppc: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-GLUT-prof.ppc: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.4/GLUT-2.1.1.2/libHSGLUT-2.1.1.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-GLUT-prof.x86_64: I: checking
ghc-GLUT-prof.x86_64: E: devel-dependency ghc-GLUT-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-GLUT-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-GLUT-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.10.4/GLUT-2.1.1.2/libHSGLUT-2.1.1.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

10 packages and 1 specfiles checked; 3 errors, 6 warnings.
>>> CHECK -- Normal for a haskell package

MUST: The package must be named according to the Package Naming Guidelines .
>>> CHECK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
>>> CHECK

MUST: The package must meet the Packaging Guidelines .
>>> CHECK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
>>> CHECK

MUST: The License field in the package spec file must match the actual license. [3]
>>> CHECK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
>>> CHECK

MUST: The spec file must be written in American English. [5]
>>> CHECK

MUST: The spec file for the package MUST be legible. [6]
>>> CHECK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
>>> CHECK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
>>> CHECK

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
>>> CHECK

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
>>> CHECK

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]
>>> CHECK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]
>>> CHECK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]
>>> CHECK

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]
>>> CHECK

MUST: Each package must consistently use macros. [16]
>>> CHECK

MUST: The package must contain code, or permissable content. [17]
>>> CHECK

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
>>> CHECK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
>>> CHECK

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [22]
>>> CHECK

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]
>>> CHECK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
>>> CHECK

MUST: All filenames in rpm packages must be valid UTF-8. [26]
>>> CHECK

SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [27]
>>> CHECK

SHOULD: The reviewer should test that the package builds in mock. [29]
>>> CHECK

SHOULD: The package should compile and build into binary rpms on all supported architectures. [30]
>>> CHECK

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
>>> CHECK

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [22]
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [31]
>>> CHECK

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [32] 
>>> CHECK

Resolution: PASS
Comment 4 Bryan O'Sullivan 2009-08-28 12:04:36 EDT
New Package CVS Request
=======================
Package Name: ghc-GLUT
Short Description: bindings to the C GLUT library
Owners: bos petersen ynemoy
Branches: F-11 F-12
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2009-08-28 12:09:56 EDT
I've just created the F-11 branch.  If you really, really need a very early F-12 branch, we may be able to do that later today, so if that's what you need then go ahead and make another CVS request.

CVS done.
Comment 6 Jens Petersen 2009-09-12 01:39:46 EDT
bos built this a while back:
http://koji.fedoraproject.org/koji/buildinfo?buildID=129691
Comment 7 Fedora Update System 2009-09-12 01:40:12 EDT
ghc-GLUT-2.1.1.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghc-GLUT-2.1.1.2-2.fc11
Comment 8 Fedora Update System 2009-09-15 03:46:13 EDT
ghc-GLUT-2.1.1.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jens Petersen 2010-10-05 00:44:04 EDT
Package Change Request
======================
Package Name: ghc-GLUT
New Branches: el6
Owners: bos petersen
InitialCC: haskell-sig
Comment 10 Jason Tibbitts 2010-10-05 09:23:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.